Bug 517652

Summary: setroubleshoot: SELinux is preventing smoltSendProfil (system_cronjob_t) "read" sysfs_t.
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dwalsh, jkubin, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:86ba04544deceeaf298542a1b919dad374c4609a340eb028430a7a1b0bde5d05
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-18 13:57:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tom London 2009-08-15 17:23:47 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing smoltSendProfil (system_cronjob_t) "read" sysfs_t.

Detailed Description:

SELinux denied access requested by smoltSendProfil. It is not expected that this
access is required by smoltSendProfil and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:system_cronjob_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                cpuinfo_max_freq [ file ]
Source                        smoltSendProfil
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-11.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.156.rc6.fc12.x86_64 #1 SMP Fri Aug 14
                              19:02:06 EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 15 Aug 2009 10:20:03 AM PDT
Last Seen                     Sat 15 Aug 2009 10:20:03 AM PDT
Local ID                      b4ade4b1-1e4a-4332-9247-c73f826df3b6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1250356803.139:61): avc:  denied  { read } for  pid=2859 comm="smoltSendProfil" name="cpuinfo_max_freq" dev=sysfs ino=14181 scontext=system_u:system_r:system_cronjob_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1250356803.139:61): avc:  denied  { open } for  pid=2859 comm="smoltSendProfil" name="cpuinfo_max_freq" dev=sysfs ino=14181 scontext=system_u:system_r:system_cronjob_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1250356803.139:61): arch=c000003e syscall=2 success=yes exit=4 a0=18e8400 a1=0 a2=1b6 a3=238 items=0 ppid=2857 pid=2859 auid=495 uid=495 gid=489 euid=495 suid=495 fsuid=495 egid=489 sgid=489 fsgid=489 tty=(none) ses=5 comm="smoltSendProfil" exe="/usr/bin/python" subj=system_u:system_r:system_cronjob_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= system_cronjob_t ==============
allow system_cronjob_t sysfs_t:file { read open };

Comment 1 Daniel Walsh 2009-08-18 13:57:45 UTC
Fixed in selinux-policy-3.6.27-2.fc12.noarch